.events__header {
    @extend .row;
    margin-bottom: 50px;

    &-text {
        @extend .col-auto;
        display: inline-flex;
        align-self: center;
        font-family: $font-geometria;
        font-size: 16px;
        font-weight: 700;
        line-height: (20/16);
        @include md {
            flex: 0 0 100%;
            max-width: 100%;
        }
    }

    &-filters {
        @extend .col-auto;
        display: flex;
        margin: 0;
        list-style: none;
        @include lg {
            justify-content: space-between;
            margin-top: 15px;
            width: 100%;
        }
        @include sm {
            flex-wrap: wrap;
        }

        label {
            @include sm {
                width: calc(33.3333% + 1px);
            }
        }

        span,
        select,
        .event__switch-imitate {
            display: block;
            padding: 12px;
            width: 184px;
            background-color: white;
            border: 1px solid $pink;
            font-family: $font-root;
            font-size: 16px;
            font-weight: 700;
            line-height: (25/16);
            text-align: center;
            color: $pink;
            cursor: pointer;
            @include md {
                width: 140px;
            }
            @include sm {
                width: 100%;
            }
        }

        span {
            @include xs {
                display: inline-flex;
                height: 100%;
                justify-content: center;
                align-items: center;
            }
        }

        input:checked + span,
        .event__switch-imitate.active {
            background-color: $pink;
            color: white;
        }

        select {
            width: 287px;
            padding: 12px 20px;
            color: black;
            border-radius: 4px;
            appearance: none;
            outline: none;
            @include md {
                width: 267px;
            }
            @include sm {
                width: 100%;
            }

            &:hover,
            &:focus {
                border-color: rgba($color: $pink, $alpha: 0.75);
            }
        }
    }
}


.events__filters-type > .event__switch-imitate {
    margin-left: -1px;
    &:first-child {
        border-radius: 4px 0 0 4px;
    }

    &:last-child {
        border-radius: 0 4px 4px 0;
    }
}


.events__filters {
    
    &-type {
        display: flex;
        @include md {
            flex-shrink: 0;
        }
        @include sm {
            width: 100%;
        }
        @include xs {
            width: 100%;
        }

        label {
            margin-left: -1px;
            &:first-child {
                span {
                    border-radius: 4px 0 0 4px;
                }
            }

            &:last-child {
                span {
                    border-radius: 0 4px 4px 0;
                }
            }
        }
    }
    &-city {
        margin-left: 35px;
        @include sm {
            margin-top: 15px;
            margin-left: 0;
            width: 100%;
        }
    }
}

.events__content {
    @extend .row;
    @include md {
        flex-direction: column;
    }
}

.events__footer {
    // margin-top: 50px;
    .pagination__items {
        margin-left: auto;
    }
}